package com.realnet.stepperworkflow.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.stepperworkflow.Entity.Stepper_workflow;
import com.realnet.stepperworkflow.Services.Stepper_workflowService ;






@RequestMapping(value = "/Stepper_workflow")
 @CrossOrigin("*") 
@RestController
public class Stepper_workflowController {
	@Autowired
	private Stepper_workflowService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Stepper_workflow")
		  public Stepper_workflow Savedata(@RequestBody Stepper_workflow data) {
		Stepper_workflow save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Stepper_workflow/{id}")
	public  Stepper_workflow update(@RequestBody Stepper_workflow data,@PathVariable Integer id ) {
		Stepper_workflow update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Stepper_workflow/getall/page")
	public Page<Stepper_workflow> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Stepper_workflow> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Stepper_workflow")
	public List<Stepper_workflow> getdetails() {
		 List<Stepper_workflow> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Stepper_workflow")
	public List<Stepper_workflow> getallwioutsec() {
		 List<Stepper_workflow> get = Service.getdetails();		
		return get;
}
@GetMapping("/Stepper_workflow/{id}")
	public  Stepper_workflow  getdetailsbyId(@PathVariable Integer id ) {
		Stepper_workflow  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Stepper_workflow/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}